<?xml version="3.0" encoding="utf-8"?>
<policy version="3.0">
    <version>3.0</version>
    <log_open>0</log_open>
    <enable>1</enable>
    <agp_switch>1</agp_switch>
    <SOC>lahaina</SOC>

    <game_list size='28'>  <!-- 所有白名单的包名-surface名对应表  surfaceflinger 游戏SDK  hwsched 都需要读取该白名单 !-->
        <game id="0">
            <package_name>default</package_name>
            <surface_name>default</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 0 </sched_tunable_profile>
        </game>
        <game id="1">
            <package_name>com.tencent.tmgp.pubgmhd</package_name>
            <surface_name>SurfaceView - com.tencent.tmgp.pubgmhd/com.epicgames.ue4.GameActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 1 </sched_tunable_profile>
        </game>
        <game id="2">
            <package_name>com.tencent.tmgp.sgame</package_name>
            <surface_name>SurfaceView - com.tencent.tmgp.sgame/com.tencent.tmgp.sgame.SGameActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 2 </sched_tunable_profile>
        </game>
        <game id="3">
            <package_name>com.tencent.tmgp.cod</package_name>
            <surface_name>SurfaceView - com.tencent.tmgp.cod/com.tencent.tmgp.cod.CODMainActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 3 </sched_tunable_profile>
        </game>
        <game id="4">
            <package_name>com.tencent.tmgp.speedmobile</package_name>
            <surface_name>SurfaceView - com.tencent.tmgp.speedmobile/com.tencent.tmgp.speedmobile.speedmobile#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 4 </sched_tunable_profile>
        </game>
        <game id="5">
            <package_name>com.t2ksports.nba2k19and</package_name>
            <surface_name>SurfaceView - com.t2ksports.nba2k19and/com.t2ksports.nba2k19and.gameactivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 5 </sched_tunable_profile>
        </game>
        <game id="6">
            <package_name>com.tencent.tmgp.cf</package_name>
            <surface_name>SurfaceView - com.tencent.tmgp.cf/com.tencent.tmgp.cf.AFMainActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 6 </sched_tunable_profile>
        </game>
        <game id="7">
            <package_name>com.racergame.cityracing3d</package_name>
            <surface_name>SurfaceView - com.racergame.cityracing3d/com.racergame.cityracing3d.GameActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 52</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 0 </sched_tunable_profile>
        </game>
        <game id="8">
            <package_name>com.miHoYo.Yuanshen</package_name>
            <surface_name>SurfaceView - com.miHoYo.Yuanshen/com.miHoYo.GetMobileInfo.MainActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 8 </sched_tunable_profile>
        </game>
        <game id="9">
            <package_name>com.tencent.lolm</package_name>
            <surface_name>SurfaceView[com.tencent.lolm/com.tencent.lolm.lgame](BLAST)#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>30 60 90 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 9 </sched_tunable_profile>
        </game>
        <game id="10">
            <package_name>com.riotgames.league.wildrift</package_name>
            <surface_name>SurfaceView[com.tencent.lolm/com.tencent.lolm.lgame](BLAST)#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>30 60 90 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 9 </sched_tunable_profile>
        </game>
        <game id="11">
            <package_name>com.riotgames.league.wildrifttw</package_name>
            <surface_name>SurfaceView[com.tencent.lolm/com.tencent.lolm.lgame](BLAST)#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>30 60 90 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 9 </sched_tunable_profile>
        </game>
        <game id="12">
            <package_name>com.miHoYo.GenshinImpact</package_name>
            <surface_name>SurfaceView[com.miHoYo.GenshinImpact/com.miHoYo.GetMobileInfo.MainActivity]#5</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 12 </sched_tunable_profile>
        </game>
        <game id="13">
            <package_name>com.protopop.brightridge</package_name>
            <surface_name>SurfaceView[com.protopop.brightridge/com.unity3d.player.UnityPlayerActivity](BLAST)#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 13 </sched_tunable_profile>
        </game>
        <game id="14">
            <package_name>com.miHoYo.ys.bilibili</package_name>
            <surface_name>SurfaceView[com.miHoYo.ys.bilibili/com.miHoYo.GetMobileInfo.MainActivity]#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 8 </sched_tunable_profile>
        </game>
        <game id="15">
            <package_name>com.tencent.jkchess</package_name>
            <surface_name>SurfaceView[com.miHoYo.ys.bilibili/com.miHoYo.GetMobileInfo.MainActivity]#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 90 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 14 </sched_tunable_profile>
        </game>
        <game id="16">
            <package_name>com.tencent.tmgp.wuxia</package_name>
            <surface_name>SurfaceView[com.tencent.tmgp.wuxia/com.tencent.tmgp.wuxia.ApolloWuxia]#1</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>30 60 90</fps_list>
            <default_fps>80</default_fps>
            <sched_tunable_profile> 16 </sched_tunable_profile>
        </game>
        <game id="17">
            <package_name>com.miHoYo.yuanshencb</package_name>
            <surface_name>SurfaceView - com.miHoYo.yuanshencb/com.miHoYo.GetMobileInfo.MainActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 8 </sched_tunable_profile>
        </game>
        <game id="18">
            <package_name>com.tencent.ig</package_name>
            <surface_name>SurfaceView[com.tencent.ig/com.epicgames.ue4.GameActivity]</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 18  </sched_tunable_profile>
        </game>
        <game id="19">
            <package_name>com.miHoYo.ys.mi</package_name>
            <surface_name>SurfaceView - com.miHoYo.ys.mi/com.miHoYo.GetMobileInfo.MainActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 8 </sched_tunable_profile>
        </game>
        <game id="20">
            <package_name>com.tencent.tmaoe</package_name>
            <surface_name>SurfaceView[com.tencent.tmaoe/com.tencent.tmaoe.MainActivity](BLAST)#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>15 20 25 30 35 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 20 </sched_tunable_profile>
        </game>
        <game id="21">
            <package_name>com.miHoYo.hkrpg</package_name>
            <surface_name>SurfaceView[com.miHoYo.hkrpg/com.mihoyo.combosdk.ComboSDKActivity](BLAST)#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 21 </sched_tunable_profile>
        </game>
        <game id="22">
            <package_name>com.netease.nshm</package_name>
            <surface_name>SurfaceView[com.netease.nshm/com.ntes.nshm.NSHMActivity](BLAST)#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 22 </sched_tunable_profile>
        </game>
        <game id="23">
            <package_name>com.tencent.tmgp.gnyx</package_name>
            <surface_name>SurfaceView - com.tencent.tmgp.gnyx/com.epicgames.ue4.GameActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 23 </sched_tunable_profile>
        </game>
        <game id="24">
            <package_name>com.netease.race</package_name>
            <surface_name>SurfaceView[com.netease.race/com.netease.race.GameActivity]#3BLAST#3</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>15 20 25 30 35 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 24 </sched_tunable_profile>
        </game>
        <game id="25">
            <package_name>com.hermes.p6game</package_name>
            <surface_name>SurfaceView[com.hermes.p6game/com.epicgames.ue4.GameActivity]#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 25 </sched_tunable_profile>
        </game>
        <game id="26">
            <package_name>com.hermes.j1game</package_name>
            <surface_name>SurfaceView[com.hermes.j1game/com.hermes.j1game.unity.UnityPlayerActivity](BLAST)#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>30</default_fps>
            <sched_tunable_profile> 26 </sched_tunable_profile>
        </game>
        <game id="27">
            <package_name>com.netease.dfjs</package_name>
            <surface_name>SurfaceView[com.netease.dfjs/com.netease.race.GameActivity]#5BLAST#5</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>15 20 25 30 35 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 24 </sched_tunable_profile>
        </game>
    </game_list>

    <sched_tunables size='4'>
        <sched_tunables_detail fps="30">
            <default_sched_tunable  para_size="8"> <!--//平台default参数-->
                <para name="E_IDX_BOOST_DELAY" > 3000 </para>
                <para name="E_IDX_BOOST_TIMEOUT"> 5000000 </para>
                <para name="E_IDX_BOOST_THREAD_START"> 1 </para>
                <para name="E_IDX_FPS_MIN_LOSS"> 3 </para>
                <para name="E_IDX_FPS_MAX_LOSS"> 8 </para>
                <para name="E_IDX_MARGIN_MIN"> -2000 </para>
                <para name="E_IDX_COMPOSE_TIME_THRES"> 30000 </para>
                <para name="E_IDX_MARGIN_MAX"> 1000 </para>
            </default_sched_tunable>
            <specific_sched_tunable_list size = "8">
                <sched_tunable id="0" para_size="1"><!--//通用白名单游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> -2000 </para>
                </sched_tunable>
                <sched_tunable id="1" para_size="4"><!--//和平精英游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                </sched_tunable>
                <sched_tunable id="2" para_size="9"><!--//王者荣耀游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                </sched_tunable>
                <sched_tunable id="8" para_size="6"><!--//原神游戏参数-->
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41440000,80,0x41440100,80,0x41440200,80,0x40C74000,255,0x40408000,99,0x42828000,95,0x40C20200,40,0x40C1C200,50,0x41000200,1</para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="16" para_size="7"><!--//天涯明月刀游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 4 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 10000000 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1324800,2457600,2822400 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                </sched_tunable>
                <sched_tunable id="21" para_size="8"> <!--//星铁游戏参数-->
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3, 0x41000100,4, 0x41000200,1</para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 | "UNKEY:CriManaDecodeTh"	112	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2227200,2361600 </para>
                </sched_tunable>
                <sched_tunable id="22" para_size="7"><!--//逆水寒游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> -2000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3, 0x41000100,4, 0x41000200,1</para>
                </sched_tunable>
                <sched_tunable id="26" para_size="7"><!--//星球重启游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2572800,2246400 </para>
                </sched_tunable>
            </specific_sched_tunable_list>
        </sched_tunables_detail>

        <sched_tunables_detail fps="60">
            <default_sched_tunable  para_size="9"> <!--//平台default参数-->
                <para name="E_IDX_BOOST_DELAY" > 2000 </para>
                <para name="E_IDX_BOOST_TIMEOUT"> 5000000 </para>
                <para name="E_IDX_BOOST_THREAD_START"> 1 </para>
                <para name="E_IDX_FPS_MIN_LOSS"> 3 </para>
                <para name="E_IDX_FPS_MAX_LOSS"> 8 </para>
                <para name="E_IDX_MARGIN_MIN"> -2000 </para>
                <para name="E_IDX_COMPOSE_TIME_THRES"> 14000 </para>
                <para name="E_IDX_MARGIN_MAX"> 1000 </para>
                <para name="E_IDX_GPU_ALWAYS_ON"> 0 </para>
            </default_sched_tunable>
            <specific_sched_tunable_list size = "19">
                <sched_tunable id="0" para_size="4"><!--//通用白名单游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> 1000 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                </sched_tunable>
                <sched_tunable id="1" para_size="12"><!--//和平精英游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_SUPPORT_YIELD_THREAD_DETECT"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 15 </para>
                    <para name="E_IDX_BOOST_DELAY"> -1500 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <!-- perflock reference
                         MPCTLV3_LLCC_DDR_BW_SAMPLE_MS   0x43034000
                    -->
                    <para name="E_IDX_PERFLOCK"> 0x43034000,16,0x41000000,3 </para>
                    <para name="E_IDX_CPUCTL_MAX_UCLAMP"> 40 </para>
                </sched_tunable>
                <sched_tunable id="2" para_size="15"><!--//王者荣耀游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 1 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 3 </para>
                    <para name="E_IDX_MARGIN_MIN"> -1000 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <!-- perflock reference
                         MPCTLV3_LLCC_DDR_BW_SAMPLE_MS   0x43034000
                    -->
                    <para name="E_IDX_PERFLOCK"> 0x43034000,16 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                    <para name="E_IDX_UNLIMIT_FREQUENCY"> 1,100000000,1,180,150000000 </para>
                </sched_tunable>
                <sched_tunable id="3" para_size="7"><!--//使命召唤参数-->
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x40C20200,40,0x40C1C200,50,0x41000100,3,0x41000200,1</para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1324800,2457600,2822400 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="6" para_size="15"><!--//穿越火线游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 1 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 3 </para>
                    <para name="E_IDX_MARGIN_MIN"> -1000 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <para name="E_IDX_PERFLOCK"> 0x43034000,16 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3</para>
                </sched_tunable>
                <sched_tunable id="8" para_size="19"><!--//原神游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 6 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_DELAY"> 3000 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 10000000 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_AB_FRAME_DETECT_ENABLE"> 1 </para>
                    <para name="E_IDX_MAX_HT_NUM"> 8 </para>
                    <!-- perflock reference
                       MPCTLV3_SCHEDUTIL_HISPEED_LOAD_CLUSTER_BIG      0x41440000
                       MPCTLV3_SCHEDUTIL_HISPEED_LOAD_CLUSTER_LITTLE   0x41440100
                       MPCTLV3_SCHEDUTIL_HISPEED_LOAD_CLUSTER_PRIME    0x41440200
                       MPCTLV3_SCHED_BUSY_HYSTERSIS_CPU_MASK           0x40C74000
                       MPCTLV3_LPM_BIAS_HYST                           0x40408000
                       MPCTLV3_GPU_LOAD_MOD_PERCENT                    0x42828000
                       MPCTLV3_MAX_FREQ_CLUSTER_PRIME_CORE_0           0x40804200
                       MPCTLV3_SCHED_DOWNMIGRATE                       0x40C20000
                       MPCTLV3_SCHED_DOWNMIGRATE_PRIME                 0x40C20200
                       MPCTLV3_SCHED_UPMIGRATE                         0x40C1C000
                       MPCTLV3_SCHED_UPMIGRATE_PRIME                   0x40C1C200
                       MPCTLV3_SCHED_GROUP_DOWNMIGRATE                 0x40C58000
                       MPCTLV3_SCHED_GROUP_UPMIGRATE                   0x40C54000
                    -->
                    <para name="E_IDX_PERFLOCK"> 0x41000200,1,0x4143C000,1440,0x41440000,95,0x40C20000,90,0x40C20200,40,0x40C1C000,100,0x40C1C200,60,0x40C74000,255,0x40408000,99,0x42828000,95 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2227200,2246400 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="9" para_size="4"><!--//英雄联盟游戏参数-->
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"    128 -1    -1    -1    -1    -1    -1    -1     -1    -1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                </sched_tunable>
                <sched_tunable id="14" para_size="4"><!--//金铲铲游戏参数-->
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000200,1 </para>
                </sched_tunable>
                <sched_tunable id="12" para_size="19"><!--//原神海外版游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 6 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_DELAY"> 3000 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 10000000 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_AB_FRAME_DETECT_ENABLE"> 1 </para>
                    <para name="E_IDX_MAX_HT_NUM"> 8 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000200,1,0x4143C000,1440,0x41440000,95,0x40C20000,90,0x40C20200,40,0x40C1C000,100,0x40C1C200,60,0x40C74000,255,0x40408000,99,0x42828000,95 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2227200,2246400 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="13" para_size="16"><!--//光明山脉游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 10 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 15 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_DELAY"> 2000 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 5000000 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_AB_FRAME_DETECT_ENABLE"> 1 </para>
                    <para name="E_IDX_MAX_HT_NUM"> 8 </para>
                    <para name="E_IDX_PERFLOCK"> 0x40C20000,90,0x40C20200,40,0x40C1C000,100,0x40C1C200,50,0x40C74000,255,0x40408000,99,0x42828000,95 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                </sched_tunable>
                <sched_tunable id="16" para_size="7"><!--//天涯明月刀游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 4 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 10000000 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1324800,2457600,2822400 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                </sched_tunable>
                <sched_tunable id="18" para_size="15"><!--//和平精英海外游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> -2000 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_BOOST_DELAY"> 2000 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x43034000,16,0x41000100,3,0x40C1C000,40,0x40C20000,30 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1324800,2227200,2361600 </para>
                    <para name="E_IDX_CPUCTL_MAX_UCLAMP"> 40 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 60 </para>
                </sched_tunable>
                <sched_tunable id="20" para_size="7"><!--//重返帝国参数-->
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="21" para_size="12"> <!--//星铁游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 8 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 13 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3, 0x41000100,4, 0x41000200,1</para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 | "UNKEY:CriManaDecodeTh"	112	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2227200,2361600 </para>
                </sched_tunable>
                <sched_tunable id="22" para_size="7"><!--//逆水寒游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> -2000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3, 0x41000100,4, 0x41000200,1</para>
                </sched_tunable>
                <sched_tunable id="23" para_size="12"><!--//高能英雄游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_SUPPORT_YIELD_THREAD_DETECT"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 15 </para>
                    <para name="E_IDX_BOOST_DELAY"> -1500 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <!-- perflock reference
                         MPCTLV3_LLCC_DDR_BW_SAMPLE_MS   0x43034000
                    -->
                    <para name="E_IDX_PERFLOCK"> 0x43034000,16,0x41000000,3 </para>
                    <para name="E_IDX_CPUCTL_MAX_UCLAMP"> 40 </para>
                </sched_tunable>
                <sched_tunable id="24" para_size="5"><!--//巅峰极速游戏参数-->
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "GameThread"    128 -1    -1    -1    -1    -1    -1    -1     -1    -1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2745600,2995200 </para>
                </sched_tunable>
                <sched_tunable id="25" para_size="14"><!--//晶核游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_SUPPORT_YIELD_THREAD_DETECT"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 15 </para>
                    <para name="E_IDX_BOOST_DELAY"> -1500 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x43034000,16,0x41000000,3 </para>
                    <para name="E_IDX_CPUCTL_MAX_UCLAMP"> 40 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2227200,2361600 </para>
                </sched_tunable>
                <sched_tunable id="26" para_size="7"><!--//星球重启游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2572800,2246400 </para>
                </sched_tunable>
            </specific_sched_tunable_list>
        </sched_tunables_detail>

        <sched_tunables_detail fps="90">
            <default_sched_tunable  para_size="6"> <!--//平台default参数-->
                <para name="E_IDX_MARGIN_MIN"> 0 </para>
                <para name="E_IDX_BOOST_DELAY"> 1500 </para>
                <para name="E_IDX_BOOST_TIMEOUT"> 5000000 </para>
                <para name="E_IDX_COMPOSE_TIME_THRES"> 10000 </para>
                <para name="E_IDX_GPU_ALWAYS_ON"> 1 </para>
                <para name="E_IDX_MARGIN_MAX"> 1000 </para>
            </default_sched_tunable>
            <specific_sched_tunable_list size = "9">
                <sched_tunable id="0" para_size="3"><!--//通用白名单游戏参数-->
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                </sched_tunable>
                <sched_tunable id="1" para_size="16"><!--//和平精英游戏参数-->
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 1 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_SUPPORT_YIELD_THREAD_DETECT"> 1 </para>
                    <para name="E_IDX_GPU_ALWAYS_ON"> 0 </para>
                    <para name="E_IDX_MARGIN_MIN"> -1000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_FPS_MIN_LOSS"> 4 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_BOOST_DELAY"> 0 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 500000 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                    <para name="E_IDX_PERFLOCK"> 0x40C1C200,90,0x41000100,3,0x41000200,1 </para>
                    <para name="E_IDX_CPUCTL_MAX_UCLAMP"> 65 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1228800,2457600,2476800 </para>
                </sched_tunable>
                <sched_tunable id="2" para_size="17"><!--//王者荣耀游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <!-- perflock reference
                         MPCTLV3_LLCC_DDR_BW_SAMPLE_MS   0x43034000
                    -->
                    <para name="E_IDX_PERFLOCK"> 0x43034000,16 </para>
                    <para name="E_IDX_CPUCTL_MAX_UCLAMP"> 40 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                    <para name="E_IDX_UNLIMIT_FREQUENCY"> 1,100000000,3,180,150000000 </para>
                </sched_tunable>
                <sched_tunable id="3" para_size="7"><!--//使命召唤参数-->
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x40C20200,40,0x40C1C200,50,0x41000100,3,0x41000200,1</para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1324800,2457600,2822400 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="6" para_size="1"><!--//穿越火线游戏参数-->
                    <para name="E_IDX_PERFLOCK"> 0x40C1C000,85,0x41000000,3</para>
                </sched_tunable>
                <sched_tunable id="9" para_size="4"><!--//英雄联盟游戏参数-->
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"    128 -1    -1    -1    -1    -1    -1    -1     -1    -1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                </sched_tunable>
                <sched_tunable id="16" para_size="7"><!--//天涯明月刀游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 4 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 10000000 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1324800,2457600,2822400 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                </sched_tunable>
                <sched_tunable id="23" para_size="17"><!--//高能英雄游戏参数-->
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 1 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_SUPPORT_YIELD_THREAD_DETECT"> 1 </para>
                    <para name="E_IDX_GPU_ALWAYS_ON"> 0 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_BOOST_DELAY" > 2000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_FPS_MIN_LOSS"> 3 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 8 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_CPUCTL_MAX_UCLAMP"> 40 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "Thread-"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                </sched_tunable>
                <sched_tunable id="26" para_size="7"><!--//星球重启游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2572800,2246400 </para>
                </sched_tunable>
            </specific_sched_tunable_list>
        </sched_tunables_detail>

        <sched_tunables_detail fps="120">
            <default_sched_tunable  para_size="5"> <!--//平台default参数-->
                <para name="E_IDX_MARGIN_MIN"> 0 </para>
                <para name="E_IDX_BOOST_DELAY" > 1000 </para>
                <para name="E_IDX_BOOST_TIMEOUT"> 3000000 </para>
                <para name="E_IDX_COMPOSE_TIME_THRES"> 10000 </para>
                <para name="E_IDX_GPU_ALWAYS_ON"> 1 </para>
            </default_sched_tunable>
            <specific_sched_tunable_list size = "7">
                <sched_tunable id="0" para_size="3"><!--//通用白名单游戏参数-->
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                </sched_tunable>
                <sched_tunable id="1" para_size="4"><!--//和平精英游戏参数-->
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 1 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 1 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_SUPPORT_YIELD_THREAD_DETECT"> 1 </para>
                </sched_tunable>
                <sched_tunable id="2" para_size="9"><!--//王者荣耀游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 115 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                </sched_tunable>
                <sched_tunable id="4" para_size="1"><!--//QQ飞车游戏参数-->
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 110 </para>
                </sched_tunable>
                <sched_tunable id="6" para_size="1"><!--//穿越火线游戏参数-->
                    <para name="E_IDX_PERFLOCK"> 0x40C1C000,85,0x41000000,3</para>
                </sched_tunable>
                <sched_tunable id="8" para_size="16"><!--//原神游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 1 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_DELAY"> 2000 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 5000000 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_AB_FRAME_DETECT_ENABLE"> 1 </para>
                    <para name="E_IDX_MAX_HT_NUM"> 8 </para>
                    <!-- perflock reference
                       MPCTLV3_SCHEDUTIL_HISPEED_LOAD_CLUSTER_BIG      0x41440000
                       MPCTLV3_SCHEDUTIL_HISPEED_LOAD_CLUSTER_LITTLE   0x41440100
                       MPCTLV3_SCHEDUTIL_HISPEED_LOAD_CLUSTER_PRIME    0x41440200
                       MPCTLV3_SCHED_BUSY_HYSTERSIS_CPU_MASK           0x40C74000
                       MPCTLV3_LPM_BIAS_HYST                           0x40408000
                       MPCTLV3_GPU_LOAD_MOD_PERCENT                    0x42828000
                       MPCTLV3_MAX_FREQ_CLUSTER_PRIME_CORE_0           0x40804200
                       MPCTLV3_SCHED_DOWNMIGRATE                       0x40C20000
                       MPCTLV3_SCHED_DOWNMIGRATE_PRIME                 0x40C20200
                       MPCTLV3_SCHED_UPMIGRATE                         0x40C1C000
                       MPCTLV3_SCHED_UPMIGRATE_PRIME                   0x40C1C200
                       MPCTLV3_SCHED_GROUP_DOWNMIGRATE                 0x40C58000
                       MPCTLV3_SCHED_GROUP_UPMIGRATE                   0x40C54000
                    -->
                    <para name="E_IDX_PERFLOCK"> 0x40C20000,90,0x40C20200,40,0x40C1C000,100,0x40C1C200,50,0x40C74000,255,0x40408000,99,0x42828000,95 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                </sched_tunable>
                <sched_tunable id="26" para_size="7"><!--//星球重启游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2572800,2246400 </para>
                </sched_tunable>
            </specific_sched_tunable_list>
        </sched_tunables_detail>
    </sched_tunables>

    <FPS_detector_list size="2">  <!--//FPS预测参数!-->
        <FPS_detect id="0">
            <algorithm id="0" para_size="5">
                <para name="window_size">150</para>
                <para name="mean_filter">10</para>
                <para name="up_abnormal_offset">5.5</para>
                <para name="down_abnormal_offset">3</para>
                <para name="high-11">-1</para>
            </algorithm>
        </FPS_detect>
        <FPS_detect id="1">
            <algorithm id="0" para_size="40">
                <para name="window_size">150</para>
                <para name="mean_filter">10</para>
                <para name="up_abnormal_offset">5.5</para>
                <para name="down_abnormal_offset">3</para>
                <para name="low-0">-0.00099582</para>
                <para name="low-1">-0.02589126</para>
                <para name="low-2">0</para>
                <para name="low-3">1.03737649</para>
                <para name="low-4">0.00372356</para>
                <para name="low-5">-0.06819512</para>
                <para name="low-6">0</para>
                <para name="low-7">1.03879694</para>
                <para name="low-8">0.79942494</para>
                <para name="low-9">0.39971247</para>
                <para name="low-10">0</para>
                <para name="low-11">-38.57182219</para>
                <para name="median-0">0.011</para>
                <para name="median-1">0</para>
                <para name="median-2">0</para>
                <para name="median-3">-1</para>
                <para name="median-4">0.024332</para>
                <para name="median-5">-0.001187</para>
                <para name="median-6">0</para>
                <para name="median-7">-1.4332</para>
                <para name="median-8">0.0000275</para>
                <para name="median-9">-0.3476</para>
                <para name="median-10">0</para>
                <para name="median-11">0.9997</para>
                <para name="high-0">0</para>
                <para name="high-1">0</para>
                <para name="high-2">0.000000245114625</para>
                <para name="high-3">-7.14531644</para>
                <para name="high-4">0</para>
                <para name="high-5">0</para>
                <para name="high-6">0.000000138465513</para>
                <para name="high-7">-3.60129879</para>
                <para name="high-8">0.011</para>
                <para name="high-9">0</para>
                <para name="high-10">0</para>
                <para name="high-11">-1</para>
            </algorithm>
        </FPS_detect>
    </FPS_detector_list>  <!--//FPS预测参数!-->

    <temp_control_list size="2"> <!--//温控参数!-->
        <temp_control id="0" size="5">
            <para name="max_temp">52</para>
            <para name="pow_warm_up_normal">2850000</para><!--750mA*3800mv!-->
            <para name="pow_warm_up_fast">3040000</para><!--800mA*3800mv!-->
            <para name="window_size">3</para>
            <para name="strategy_enable">0</para>
        </temp_control>
        <temp_control id="1" size="5">
            <para name="max_temp">52</para>
            <para name="pow_warm_up_normal">2850000</para><!--750mA*3800mv!-->
            <para name="pow_warm_up_fast">3040000</para><!--800mA*3800mv!-->
            <para name="window_size">3</para>
            <para name="strategy_enable">0</para>
        </temp_control>
    </temp_control_list> <!--//温控参数!-->

    <no_boost_game_list size='8'> <!--//特殊频率游戏列表!-->
        <game id="1">
            <package_name>com.supercell.clashofclans</package_name>
            <default_fps>58</default_fps>
        </game>
        <game id="2">
            <package_name>com.tencent.tmgp.supercell.clashofclans</package_name>
            <default_fps>58</default_fps>
        </game>
        <game id="3">
            <package_name>com.supercell.clashroyale</package_name>
            <default_fps>58</default_fps>
        </game>
        <game id="4">
            <package_name>com.tencent.tmgp.supercell.clashroyale</package_name>
            <default_fps>58</default_fps>
        </game>
        <game id="5">
            <package_name>com.supercell.boombeach</package_name>
            <default_fps>58</default_fps>
        </game>
        <game id="6">
            <package_name>com.tencent.tmgp.supercell.brawlstars</package_name>
            <default_fps>58</default_fps>
        </game>
        <game id="7">
            <package_name>com.youzu.bs</package_name>
            <default_fps>58</default_fps>
        </game>
        <game id="8">
            <package_name>com.tencent.tmgp.cf</package_name>
            <default_fps>118</default_fps>
        </game>
   </no_boost_game_list>
</policy>
